summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPetteri Räty <betelgeuse@gentoo.org>2007-01-10 09:52:51 +0000
committerPetteri Räty <betelgeuse@gentoo.org>2007-01-10 09:52:51 +0000
commitc1b340daae57b9cf6bb78184881a346c2b4a378d (patch)
tree22d9cb9b97bab47cef212a82c7fe6343ed4f2266 /eclass/java-pkg-2.eclass
parentStore --name used by s-s-d in the service daemon file so baselayout-1.13 can (diff)
downloadhistorical-c1b340daae57b9cf6bb78184881a346c2b4a378d.tar.gz
historical-c1b340daae57b9cf6bb78184881a346c2b4a378d.tar.bz2
historical-c1b340daae57b9cf6bb78184881a346c2b4a378d.zip
Added to code to automatically show possible bundled jars in pre_src_compile.
Diffstat (limited to 'eclass/java-pkg-2.eclass')
-rw-r--r--eclass/java-pkg-2.eclass6
1 files changed, 5 insertions, 1 deletions
diff --git a/eclass/java-pkg-2.eclass b/eclass/java-pkg-2.eclass
index ddce6ca1c44c..99f3843ccd4a 100644
--- a/eclass/java-pkg-2.eclass
+++ b/eclass/java-pkg-2.eclass
@@ -5,7 +5,7 @@
#
# Licensed under the GNU General Public License, v2
#
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-pkg-2.eclass,v 1.8 2006/12/18 10:18:56 betelgeuse Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-pkg-2.eclass,v 1.9 2007/01/10 09:52:51 betelgeuse Exp $
inherit java-utils-2
@@ -84,6 +84,10 @@ pre_src_unpack() {
}
pre_src_compile() {
+ if is-java-strict; then
+ echo "Searching for bundled jars:"
+ java-pkg_find-normal-jars || echo "None found."
+ fi
java-pkg-2_pkg_setup
}